Page MenuHomePhabricator

Drop support for ES3 browsers in OOjs
Closed, ResolvedPublic

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added a project: OOjs.
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 8 2015, 1:06 PM
Ricordisamoa renamed this task from Unsupport ES3? to Unsupport ES3.Dec 9 2015, 5:37 AM
Ricordisamoa set Security to None.
Krinkle moved this task from Inbox to Accepted Enhancement on the OOjs board.Feb 12 2016, 5:24 PM

Change 252382 had a related patch set uploaded (by Jforrester):
[BREAKING CHANGE] Drop support for ES3 environments

https://gerrit.wikimedia.org/r/252382

Krinkle renamed this task from Unsupport ES3 to Drop support for ES3 browsers in OOjs.Feb 13 2016, 7:47 PM

Can we replace with 'parent' with 'super'?

Change 252382 merged by jenkins-bot:
[BREAKING CHANGE] Drop support for ES3 environments

https://gerrit.wikimedia.org/r/252382

With the above, we're now requiring ES5 functions but ES3 syntax. Leaving this open until it's "really" done.

Change 252593 had a related patch set uploaded (by Krinkle; owner: Jforrester):
[oojs/core] core: Use Object.create directly now that we can

https://gerrit.wikimedia.org/r/252593

Change 252593 merged by jenkins-bot:
[oojs/core] core: Use Object.create directly now that we can

https://gerrit.wikimedia.org/r/252593

Change 341952 had a related patch set uploaded (by Jforrester):
[oojs/core] Switch from .parent hack to use .super directly

https://gerrit.wikimedia.org/r/341952

Change 341952 merged by jenkins-bot:
[oojs/core] Switch from .parent hack to use .super directly

https://gerrit.wikimedia.org/r/341952

Krinkle claimed this task.Mar 9 2017, 11:41 PM
Krinkle triaged this task as Medium priority.
Krinkle moved this task from Accepted Enhancement to Assigned on the OOjs board.
Krinkle closed this task as Resolved.Mar 15 2017, 4:15 AM